# yamllint disable
# maps Gitlab rule ids to semgrep rules
# License: MIT (c) GitLab Inc.
# yamllint enable
---
gitlab_ee_java: 
  native_analyzer: "gitlab"
  native_id:
    type: "gitlab_type"
    name: "Gitlab $ID"
    value: "$ID"
  mappings:
  - id: "java_deserialization_rule-JacksonUnsafeDeserialization"
    rules:
    - path: "rules/gitlab/java/deserialization/rule-JacksonUnsafeDeserialization"
      primary_id: "java_deserialization_rule-JacksonUnsafeDeserialization"
      id: "java_deserialization_rule-JacksonUnsafeDeserialization"
  - id: "java_deserialization_rule-InsecureDeserialization"
    rules:
    - path: "rules/gitlab/java/deserialization/rule-InsecureDeserialization"
      primary_id: "java_deserialization_rule-InsecureDeserialization"
      id: "java_deserialization_rule-InsecureDeserialization"

